![README header](https://user-images.githubusercontent.com/74135618/218292159-4237b831-4d5b-4482-b894-b000f439c927.png)
<div align="center">
  <h3>The official Minecraft resource pack of Bradley Richards</h3>
  
  also on [Modrinth](https://modrinth.com/resourcepack/bradcraft) *(CurseForge page soon)*
  
  <img alt="Modrinth Game Versions" src="https://img.shields.io/modrinth/game-versions/B81X2Tkp?color=red&label=MC VERSIONS&logo=modrinth&logoColor=white">
  <img alt="GitHub release (latest by date)" src="https://img.shields.io/github/v/release/5tayer/bradcraft?color=green&display_name=tag&label=LATEST%20STABLE%20VERSION">
  <img alt="GitHub tag (latest SemVer pre-release)" src="https://img.shields.io/github/v/tag/5tayer/bradcraft?color=yellow&include_prereleases&label=LATEST%20PRE-RELEASE&sort=date">
  <img alt="GitHub" src="https://img.shields.io/github/license/bradcraftmc/bradcraft?color=purple&label=LICENSE">
  <img alt="GitHub issues" src="https://img.shields.io/github/issues/5tayer/bradcraft?label=ISSUES&logo=github">
  <img alt="Discord" src="https://img.shields.io/discord/1023275466934722650?label=DISCORD&logo=discord&logoColor=white">
  <h3>BradCraft depends on the following things below to be able to use all features...</h3>
  <img alt="cem" height="64" src="https://cdn.jsdelivr.net/npm/@intergrav/devins-badges@3/assets/cozy/requires/cem_vector.svg">
  <img alt="cit" height="64" src="https://cdn.jsdelivr.net/npm/@intergrav/devins-badges@3/assets/cozy/requires/cit_vector.svg">
  
  [OptiFine](https://optifine.net/downloads) is the easiest method, and I recommend it for most.
  
  <h4>⚠️ This README is currently going under a revamping process. Excuse the messy look, it could be a few weeks ⚠️</h4>
  
  </div>
  
  ---

BradCraft is the official Minecraft: Java Edition resource pack based around the YouTuber and streamer "[bradley richards](https://www.youtube.com/@bradleyrichards)". This resource pack features several references, gags, humor, and more with the main goal to spice up Minecraft, Brad style.

# Download guide
Click on the "Versions" tab on the top to find all of our releases. Alternatively, you can find our latest releases under the "Featured versions" section in the sidebar.

## Forge users
Download [OptiFine](https://optifine.net/downloads).

[Modrinth](https://modrinth.com/resourcepack/bradcraft)

## Fabric users
Fabric is (unfortunately) a lot trickier, but you can get BradCraft working in 2 ways.

### OptiFabric
[OptiFabric](https://www.curseforge.com/minecraft/mc-mods/optifabric) is a mod which allows for OptiFine to work. The easiest and least complicated way is this one. However, some mods either don't work with OptiFabric, or break because of it. If this happens, you'll need to find some OptiFine alternatives.

### OptiFine alternatives
There are lots of mods that have features from OptiFine, such as zoom, performance, etc. Below are a list of mods that add features needed for BradCraft (i.e: CEM, CIT, REM, etc), but I suggest looking around for more relating to performance and quality-of-life things.

_(for a lot of these, you're gonna also want [Fabric API](https://modrinth.com/mod/fabric-api))_

- [Puzzle](https://modrinth.com/mod/puzzle)
  - recommended if you have a lot of OF alternative mods
- [Continuity](https://modrinth.com/mod/continuity)
  - connected textures, unnecessary for BradCraft as of now but worth mentioning
- [Entity Texture Features](https://modrinth.com/mod/entitytexturefeatures)
  - random/emissive entity textures
- [Custom Entity Models (CEM)](https://modrinth.com/mod/cem)
  - custom models, highly recommended for BradCraft
- [CIT Resewn](https://modrinth.com/mod/cit-resewn)
  - custom items, i.e. Gerald's Sword, Gamer Berries, or the Drip Suit

# Credits
### 5tayer
- Main creator of the pack.

## Developers
### Tater
- Helped with major features of BradCraft.
- Fall Dude, Impostor, Taco Dealer, and Battery OptiFine models.
- Potato textures.
- Taco textures.
- Battery acid & glowing battery acid textures.

## (Epic) Contributors
### Bradley Richards
- Recorded soundbytes.
- Provided images for textures.
- Epic, tbh

### Pr1vat3 Ryan
- Provided access to 2 songs, including the stream outro song.

### Agent Owl/Bender
- Recorded soundbytes.

### Benicio
- Recorded soundbytes.

# SHOWCASES
Showcases give you a sneak peek into upcoming features or versions. There's also occasionally "what's new" videos, acting as a video changelog for major versions, going through every new feature. You can find embedded videos below of every past showcase so far, but I recommend subscribing to [BradCraft's official YouTube channel](https://www.youtube.com/@BradCraftMC), where new showcases will be uploaded to.

### v1.2 Showcase 1
https://youtu.be/ggWGeJ5ORk8

### v1.2 Showcase 2
https://youtu.be/EH8meaQlf88

### v1.2 Showcase 3
https://youtu.be/ouChEvsSBUY

### v1.2 Showcase 4
https://youtu.be/Ve9QlNwlsIU

### v1.2 Showcase 5
https://youtu.be/JJwppe9sZQs

### v1.3 Showcase 1
https://youtu.be/-xdJP3XTTtE

# Social media
All of the official BradCraft accounts.

- Discord server: **https://discord.gg/4BpH7eAQfr**
- Twitter: **https://twitter.com/BradCraftMC**
- YouTube: **https://www.youtube.com/@BradCraftMC**

# FAQ
### Q1: Who is on the development team?
The founder/creator of BradCraft is 5tayer. The developers on the team is currently only Tater (hopefully soon to change). Contributors to the pack are Brad, Pr1vat3 Ryan, Agent Owl/Bender, and Benicio.

### Q2: Will you support Bedrock Edition?
We would love to! And it is in our best interest to. Unfortunately, Bedrock resource packs work completely different than Java, which would make the process of converting the pack to work with it tough, and would probably take a while to do. Because of this, **we've made the difficult decision to stay only on Java for now.** However, if you are experienced with Bedrock resource packs, and are interested in helping us support Bedrock Edition, please DM 5tayer.

### Q3: Can I contribute to the pack/join the development team?
That depends on a few things. For simple contributions, let 5tayer know about your creation. If we deem it epic enough, we will absolutely add it (with proper credit)! Regarding joining the development team, likely no. Sorry! We do plan on opening submissions soon, however.

### Q4: Can I be in the pack?
**No.**

### Q5: Why did you remove the custom in-game music in v1.2?
For a lot of us out there, Minecraft's music is special to us in many ways. Whenever you hear Sweden, you'll likely have nostalgia, memories, or remember fun occasions with your friends playing this block game. And in my (5tayer's) eyes, making it no longer possible to hear the vanilla music in-game isn't right. This is why in beta 1 for v1.2, I moved the custom music to the main menu, as there's less iconic songs on the menu screen than in-game. And to clarify further, **there will likely never be any more custom music in the main game itself.** I hope you'll understand where I'm coming from.

### Q6: Will BradCraft ever become a mod?
EDIT (12/11/2022): I, 5tayer, **have started working on an attempt to convert BradCraft into a mod.** It may fail, but if things turn out great, we could see the resource pack get retired.

~~Similar to Q2, we would love for this to happen! BradCraft as a mod would allow for the vanilla items/mobs to coexist in the game. Again, creating a mod is an *incredibly* tricky process. Therefore, for the time being we're gonna keep the project as a resource pack. However, if you are interested in helping us turn it into a mod, please DM 5tayer.~~

*(and no, we wouldn't use MCreator. it's not flexible enough for our needs)*
